/***************************************************************************
                          kdbxlistitem.cpp  -  description
                             -------------------
    begin                : Mon May 14 2001
    copyright            : (C) 2001 by Dave Smith
    email                : dave.s@earthcorp.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kdbxlistitem.h"

KdbxListItem::KdbxListItem(QListViewItem *i)
	:QListViewItem(i) {
}

KdbxListItem::KdbxListItem(QListViewItem *i, const char*a1, const char*a2)
	:QListViewItem(i,a1,a2) {
}

KdbxListItem::KdbxListItem(QListView*l, const char*a1, const char*a2, const char*a3)
	:QListViewItem(l, a1, a2, a3) {
}

KdbxListItem::~KdbxListItem() {
}

void KdbxListItem::paintCell(QPainter *p, const QColorGroup &cg,
				int column, int width, int align) {
	if (!p)
		return;
		
	if (!data->isSeen()) {
		QFont f = p->font();
		f.setWeight(QFont::Bold);
		p->setFont(f);
	}
	QListViewItem::paintCell(p, cg, column, width, align);
}

QString KdbxListItem::key(int column, bool ascending) const {
	QString tmpstring;
	if (column == 2) { //date
		tmpstring.sprintf("%8X%8X", data->date()->dwHighDateTime, data->date()->dwLowDateTime);
	} else {
		tmpstring = text(column);
	}
//	qDebug(tmpstring);
	return tmpstring;
}
